#include <Arduino.h>


struct PixelMessage
{
public:
	PixelMessage();
	PixelMessage(byte* rawMessage);
	~PixelMessage();

	/// <summary>
	/// The length of the message header, in bytes.
	/// The message header contains things like the protocol version, the payload length, and the message type.
	/// </summary>
	static const unsigned int MESSAGE_HEADER_LENGTH = 12;

	// The protocol version associated with this message.
	unsigned short ProtocolVersion = 1;
	unsigned short MessageType = 1;
	unsigned int MessageId = 0;
	unsigned int MessageLength = 0;

	//const byte* Payload;
	
private:
	
};
